#!/bin/sh
#
# This script creates empty databases for each host you
# specify.
#
# Edit the line starting 'for host in' to contain a list of
# identifiers that your clients use.
#
# e.g. If your hosts are 'apple' and 'orange' use
#
#   for host in apple orange

rrdtool=/usr/bin/rrdtool
datadir=/var/spool/eximstate

# If $datadir doesn't exist, create it.
if [ ! -d "$datadir" ]
then
        echo "... $datadir doesn't exist. Creating..."
        mkdir $datadir
fi

for host in 
do
  echo "Creating new RRD database for $host"
  if [ -e "$datadir/$host.rrd" ]
  then
    echo "... $datadir/$host.rrd already exists. Skipping"
    continue
  fi
  $rrdtool create $datadir/$host.rrd -b 1015756707 DS:total:GAUGE:600:U:U DS:frozen:GAUGE:600:U:U DS:bounces:GAUGE:600:U:U RRA:AVERAGE:0.5:1:600 RRA:AVERAGE:0.5:6:700 RRA:AVERAGE:0.5:24:775 RRA:AVERAGE:0.5:288:797 RRA:MAX:0.5:1:600 RRA:MAX:0.5:6:700 RRA:MAX:0.5:24:775 RRA:MAX:0.5:288:797 RRA:LAST:0.5:1:600 RRA:LAST:0.5:6:700 RRA:LAST:0.5:24:775 RRA:LAST:0.5:288:797
done
